Index: src/webapp/framework/renderer/rendererDependencies.json
===================================================================
--- src/webapp/framework/renderer/rendererDependencies.json	(revision 8863)
+++ src/webapp/framework/renderer/rendererDependencies.json	(working copy)
@@ -1,6 +1,6 @@
 {"renderer": {
   	"name": "Renderer",
-   	"description": "Allows users to create user interface templates in pure HTML, and render the pages entirely on the client side.",
+   	"description": "Dynamically renders HTML templates on the client-side, without requiring you to mix your code and markup together.",
 	"files": ["fluidParser.js", "fluidRenderer.js"],
 	"dependencies": ["jQuery", "framework", "fastXmlPull"]
 }}
Index: src/webapp/framework/core/frameworkDependencies.json
===================================================================
--- src/webapp/framework/core/frameworkDependencies.json	(revision 8863)
+++ src/webapp/framework/core/frameworkDependencies.json	(working copy)
@@ -1,6 +1,6 @@
 {"framework": {
-   	"name": "Fluid Infusion Framework",
-   	"description": "The core of the Fluid Infusion framework. Required for all Fluid components",
+   	"name": "Infusion Framework Core",
+   	"description": "A suite of core Infusion framework features, including support for events, views, data binding, and keyboard accessibility. Required by all Fluid components.",
 	"files": ["Fluid.js", "FluidDOMUtilities.js", "DataBinding.js", "jquery.keyboard-a11y.js"],
 	"dependencies": ["jQuery", "jQueryUICore", "jQueryDelegatePlugin"]
 }}
Index: src/webapp/framework/fss/fssTextDependencies.json
===================================================================
--- src/webapp/framework/fss/fssTextDependencies.json	(revision 8863)
+++ src/webapp/framework/fss/fssTextDependencies.json	(working copy)
@@ -1,5 +1,5 @@
 {"fssText": {
-   	"name": "Text",
-   	"description": "Classes for text, headers, spacing and sizes.",
+   	"name": "FSS Text",
+   	"description": "CSS classes for controlling text size, spacing, size, and fonts.",
 	"cssFiles": "fss-text.css"
 }}
Index: src/webapp/framework/fss/fssThemesDependencies.json
===================================================================
--- src/webapp/framework/fss/fssThemesDependencies.json	(revision 8863)
+++ src/webapp/framework/fss/fssThemesDependencies.json	(working copy)
@@ -1,5 +1,5 @@
 {"fssThemes": {
-   	"name": "Themes",
-   	"description": "Colour schemes for basic markup and widgets.",
+   	"name": "FSS Themes",
+   	"description": "Swappable themes and colour schemes for the Fluid Skinning System.",
    	"cssFiles": ["fss-theme-coal.css", "fss-theme-debug.css", "fss-theme-hc.css", "fss-theme-hci.css", "fss-theme-mist.css", "fss-theme-rust.css", "fss-theme-slate.css"]
 }}
Index: src/webapp/framework/fss/fssLayoutDependencies.json
===================================================================
--- src/webapp/framework/fss/fssLayoutDependencies.json	(revision 8863)
+++ src/webapp/framework/fss/fssLayoutDependencies.json	(working copy)
@@ -1,5 +1,5 @@
 {"fssLayout": {
-	"name": "Layout",
-   	"description": "Provides css classes for layout and convenience classes for widgets.",
+	"name": "FSS Layout",
+   	"description": "Provides convenient CSS classes for designing multi-column layouts, widgets, and more.",
 	"cssFiles": "fss-layout.css"
 }}
Index: src/webapp/framework/fss/fssDependencies.json
===================================================================
--- src/webapp/framework/fss/fssDependencies.json	(revision 8863)
+++ src/webapp/framework/fss/fssDependencies.json	(working copy)
@@ -1,5 +1,5 @@
 {"fss": {
    "name": "Fluid Skinning System",
-   "description": "A modular CSS framework, which allows you to add, remove, and mix classes to get the desired effect.",
+   "description": "A modular, pure CSS framework for rapid layout. This package contains the full suite of FSS features, including reset, layout, text styles, and a variety of themes.",
    "dependencies": ["fssReset", "fssLayout", "fssText", "fssThemes"]
 }}
Index: src/webapp/framework/fss/fssResetDependencies.json
===================================================================
--- src/webapp/framework/fss/fssResetDependencies.json	(revision 8863)
+++ src/webapp/framework/fss/fssResetDependencies.json	(working copy)
@@ -1,6 +1,6 @@
 {"fssReset": {
-   	"name": "Reset",
-   	"description": "A css reset file based on the YUI reset.",
+   	"name": "FSS Reset",
+   	"description": "Provides an easy way to normalize visual discrepancies between browsers.",
 	"cssFiles": "fss-reset.css"
 }}
 
